設置
更新設置
更新當前用戶的偏好設置。所有字段均為可選——僅更改所提供的字段。
PATCH
/
api
/
v1
/
settings
更新設置
curl --request PATCH \
--url https://api.example.com/api/v1/settings \
--header 'Content-Type: application/json' \
--data '
{
"default_mode": "<string>",
"personality": "<string>",
"timezone": "<string>",
"theo_branding": true
}
'import requests
url = "https://api.example.com/api/v1/settings"
payload = {
"default_mode": "<string>",
"personality": "<string>",
"timezone": "<string>",
"theo_branding": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
default_mode: '<string>',
personality: '<string>',
timezone: '<string>',
theo_branding: true
})
};
fetch('https://api.example.com/api/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'default_mode' => '<string>',
'personality' => '<string>',
'timezone' => '<string>',
'theo_branding' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/settings"
payload := strings.NewReader("{\n \"default_mode\": \"<string>\",\n \"personality\": \"<string>\",\n \"timezone\": \"<string>\",\n \"theo_branding\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/v1/settings")
.header("Content-Type", "application/json")
.body("{\n \"default_mode\": \"<string>\",\n \"personality\": \"<string>\",\n \"timezone\": \"<string>\",\n \"theo_branding\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"default_mode\": \"<string>\",\n \"personality\": \"<string>\",\n \"timezone\": \"<string>\",\n \"theo_branding\": true\n}"
response = http.request(request)
puts response.read_body請求
string
默認路由模式。可選值為:
auto、fast、think、code、research、image、video、roast。string
"theo" 或 "none"。string
有效的 IANA 時區字符串(例如:
"America/New_York")。boolean
啓用或禁用 API 響應中的 Theo 品牌標識。
響應
返回完整的更新後偏好設置(結構與 GET 相同)。身份驗證
需要 API 密鑰或儀表盤會話。變更會被審計記錄。示例
curl
curl -X PATCH https://www.hitheo.ai/api/v1/settings \
-H "Authorization: Bearer $THEO_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"default_mode": "code",
"timezone": "America/New_York"
}'
這個頁面有幫助嗎?
更新設置
curl --request PATCH \
--url https://api.example.com/api/v1/settings \
--header 'Content-Type: application/json' \
--data '
{
"default_mode": "<string>",
"personality": "<string>",
"timezone": "<string>",
"theo_branding": true
}
'import requests
url = "https://api.example.com/api/v1/settings"
payload = {
"default_mode": "<string>",
"personality": "<string>",
"timezone": "<string>",
"theo_branding": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
default_mode: '<string>',
personality: '<string>',
timezone: '<string>',
theo_branding: true
})
};
fetch('https://api.example.com/api/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'default_mode' => '<string>',
'personality' => '<string>',
'timezone' => '<string>',
'theo_branding' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/settings"
payload := strings.NewReader("{\n \"default_mode\": \"<string>\",\n \"personality\": \"<string>\",\n \"timezone\": \"<string>\",\n \"theo_branding\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/v1/settings")
.header("Content-Type", "application/json")
.body("{\n \"default_mode\": \"<string>\",\n \"personality\": \"<string>\",\n \"timezone\": \"<string>\",\n \"theo_branding\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"default_mode\": \"<string>\",\n \"personality\": \"<string>\",\n \"timezone\": \"<string>\",\n \"theo_branding\": true\n}"
response = http.request(request)
puts response.read_body